# Program : runDLBP.sh
# Description : Run DLBP (Distributed Loopy Belief Propagation)

which spark-submit > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Spark is not installed in the system."
	exit 127
fi

if [ $# -ne 9 ]; then
	 echo 1>&2 Usage: $0 [nodePath] [edgePath] [psiPath] [resultPath] [maxIter] [numPartitions] [convergeThreshold] [hubRatio] [innerMaxIter]
	 exit 127
fi

spark-submit --class dlbp.GraphXDLBP --master local[4] ./dlbp.jar $1 $2 $3 $4 $5 $6 $7 $8 $9
